--- title: "Edit person" slug: "maiu-update-persons" updated: 2026-10-08T04:13:15Z published: 2026-10-08T04:13:15Z canonical: "api.ncloud-docs.com/maiu-update-persons" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit person Available in VPC Edit person information. It is also used when naming an anonymous person. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PATCH | /api/v1/workspaces/{workspace_name}/persons/{person_id} | ### Request headers For information about the request headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `person_id` | String | Required | Person ID - See [Get people list](/docs/en/maiu-list-persons). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Optional | Person name - 1-50 characters. - Can't be duplicated within a workspace. - Can't be registered if it contains a blank string or only spaces. | | `description` | String | Optional | Person description - 1-700 characters | | `primaryThumbnailId` | Integer | Optional | Main thumbnail ID - See [Get person details](/docs/en/maiu-person-details). | ### Request example The request example is as follows: ``` curl --location --request PATCH 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "name": "Jae-suk Yoo", "description": "He's the representative MC in Korea.", "primaryThumbnailId": 3002 }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Person details object | | `result.id` | Integer | - | Person ID | | `result.personId` | Integer | - | Person ID - Value identical to `id` | | `result.name` | String | - | Person name - Anonymous persons are indicated as null. | | `result.description` | String | - | Person description | | `result.assetCount` | Integer | - | Number of assets featuring the person | | `result.sceneCount` | Integer | - | Total number of scenes featuring the person - Total number of scenes featuring the asset. | | `result.tags` | Array | - | List of tags set for the person: [tags](/docs/en/maiu-update-persons#tags) - 0-N | | `result.thumbnails` | Array | - | List of thumbnails registered for the person: [thumbnails](/docs/en/maiu-update-persons#thumbnails) - 0-N | #### `tags` The following describes `tags`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | Tag ID | | `name` | String | - | Tag name | #### `thumbnails` The following describes `thumbnails`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | Thumbnail ID | | `url` | String | - | Thumbnail image URL (presigned URL) | | `isPrimaryThumbnail` | Boolean | - | Whether it is the main thumbnail - `true` \| `false` | | `thumbnailSource` | String | - | Thumbnail registration method - `AUTO` \| `MANUAL` - `AUTO`: Thumbnail automatically extracted during media analysis. - `MANUAL`: Thumbnail uploaded directly by the user. | ### Response status codes For information about the response status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "id": 1001, "personId": 1001, "name": "Jae-suk Yoo", "description": "He's the representative MC in Korea.", "assetCount": 12, "sceneCount": 47, "tags": [ { "id": 202, "name": "Actor" } ], "thumbnails": [ { "id": 3002, "url": "https://kr.object.ncloudstorage.com/.../9870829644790204567.jpg?...", "isPrimaryThumbnail": true, "thumbnailSource": "MANUAL" } ] } } ```